import asyncio

from django.core.management.base import BaseCommand

from core.modules.router import UnifiedRouter
from core.util import logs

log = logs.get_logger("UR")


class Command(BaseCommand):
    def handle(self, *args, **options):
        loop = asyncio.new_event_loop()
        asyncio.set_event_loop(loop)

        instance = UnifiedRouter(loop)

        # instance.start()

        instance.run()
